Het forum

Playonlinux has crashed after my OS update

Auteur Antwoorden
dubliette Zondag 1 Augustus 2010 om 10:29
dublietteAnonymous

hi, i recently updated to opensuse 11.3 and playonlinux has stopped working. it worked perfectly in 11.2. i ran it in terminal and this is what i got:

jazz@jazz:~> playonlinux
Xlib: extension "NV-GLX" missing on display ":0.0".
PlayOnLinux v3.7.6

Checking python : [ Ok ]
Traceback (most recent call last):
File "/usr/share/playonlinux/python/mainwindow.py", line 24, in <module>
import wx, wx.html, webbrowser
File "/usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/__init__.py", line 45, in <module>
from wx._core import *
File "/usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 4, in <module>
import _core_
ImportError: /usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/_core_.so: symbol _ZN12wxSizerFlags24ReserveSpaceEvenIfHiddenEv, version WXU_2.8.8 not defined in file libwx_gtk2u_core-2.8.so.0 with link time reference

jazz@jazz:~> Traceback (most recent call last):
File "/usr/share/playonlinux/python/message_one.py", line 24, in <module>
import wx
File "/usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/__init__.py", line 45, in <module>
from wx._core import *
File "/usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 4, in <module>
import _core_
ImportError: /usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/_core_.so: symbol _ZN12wxSizerFlags24ReserveSpaceEvenIfHiddenEv, version WXU_2.8.8 not defined in file libwx_gtk2u_core-2.8.so.0 with link time reference


thnx for ur time
leo_mancini Zondag 5 September 2010 om 14:47
leo_manciniAnonymous

Hi, I am unsure of a solution,
though I have just installed playonlinux on my opensuse 11.3 and it does not work. I type in playonlinux from the command line though nothing happens.

The same can be said with the kde shortcut.
Aymeric P. Zondag 5 September 2010 om 23:21
Aymeric P.
Admin

Hi,
Can you try with the last version of playonlinux?

Because 3.7.6 is really old!

Former member.
leo_mancini Maandag 6 September 2010 om 15:35
leo_manciniAnonymous

Hi,

Can you please look into your repository and see whether the WxPython program has been installed properly.
I know that this is a prerequisite, though it has not installed properly on my machine, even with the 1 click install from the opensuse website.
Just out of interest, can you please see as to whether it is on your computer? and whether you can run the playonlinux even after you have upgraded to the latest version.

Thank you.

good luck.
dubliette Dinsdag 5 October 2010 om 18:10
dublietteAnonymous

hi, sorry for the late reply, im pretty sure i have wxpython, but i will check again. also @ MulX i know 3.7.6 is really old but there hasnt been any updates for opensuse for a while, i just checked the repo and 3.8 is there so ill try tht. thanks for your help!
dubliette Woensdag 6 October 2010 om 4:18
dublietteAnonymous

i have downloaded the latest version of playonlinux and installed it and i still gt this error:

Checking plugin: Advanced Wine Configuration...
Checking plugin: Offline PlayOnLinux...
Checking plugin: Capture...
Checking plugin: Transgaming Cedega...
Checking plugin: Wine Import...
Checking plugin: Wine Look...
Checking plugin: Detour...
Traceback (most recent call last):
File "/usr/share/playonlinux/python/mainwindow.py", line 25, in <module>
import wx, wx.html, webbrowser
File "/usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/__init__.py", line 45, in <module>
from wx._core import *
File "/usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 4, in <module>
import _core_
ImportError: /usr/lib64/python2.6/site-packages/wx-2.8-gtk2-unicode/wx/_core_.so: symbol _ZN12wxSizerFlags24ReserveSpaceEvenIfHiddenEv, version WXU_2.8.8 not defined in file libwx_gtk2u_core-2.8.so.0 with link time reference

i checked and i do have wx python so i dont know wats going on. its sumthing to do with the recent update of my OS cos it was working fine b4 tht.